aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorrubo77 <github@r.z11.de>2018-07-09 00:41:13 +0200
committerrubo77 <github@r.z11.de>2018-07-09 00:41:13 +0200
commita86b1e44fc244309c499ced6beb4480019df1915 (patch)
tree257a93ff7fa38bff3e09c575a8cf98959e4677c9 /tests
parent3a042bbfbe95c994d8ab926ede93e909debf6a42 (diff)
travis check: solved GLUON_FEATURE problem
Diffstat (limited to 'tests')
-rwxr-xr-xtests/validate_site.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/tests/validate_site.sh b/tests/validate_site.sh
index 95c3409..e929bf4 100755
--- a/tests/validate_site.sh
+++ b/tests/validate_site.sh
@@ -43,6 +43,7 @@ for feed in $GLUON_SITE_FEEDS; do
if [ "$?" != "0" ]; then exit 1; fi
cd -
done
+git clone -b master --single-branch https://github.com/freifunk-gluon/packages
cd $testpath
git init gluon
cd gluon
@@ -54,10 +55,11 @@ cp -a package/ $testpath/packages
cd $testpath/packages/package
echo "####### validating GLUON_SITE_PACKAGES from $P/site.mk ..."
-# ignore standard packages:
-sed '/GLUON_RELEASE/,$d' $P/site.mk | egrep -v '(#|G|iwinfo|iptables|haveged)'> $testpath/site.mk.sh
+# ignore non-gluon packages and standard gluon features
+sed '/GLUON_RELEASE/,$d' $P/site.mk | egrep -v '(#|G|iwinfo|iptables|haveged|vim|mesh-batman-adv-14|web-advanced|web-wizard)'> $testpath/site.mk.sh
sed -i 's/\s\\$//g;/^$/d' $testpath/site.mk.sh
sed -i 's/gluon-mesh-batman-adv-1[45]/gluon-mesh-batman-adv/g' $testpath/site.mk.sh
+#set -x
cat $testpath/site.mk.sh |
while read packet; do
if [ "$packet" != "" ]; then
@@ -65,8 +67,13 @@ while read packet; do
if [ "$(find $testpath/packages/ -type d -name "$packet")" '!=' '' ]; then
: find found something
else
- echo "ERROR: $packet missing"
- exit 1
+ # check again with prefix gluon-
+ if [ "$(find $testpath/packages/ -type d -name "gluon-$packet")" '!=' '' ]; then
+ : find found something
+ else
+ echo "ERROR: $packet missing"
+ exit 1
+ fi
fi
fi
done